%define major 0
%define libname %mklibname imagequant %{major}
%define devname %mklibname imagequant -d

Name:           libimagequant
Version:        2.13.1
Release:        %mkrel 1
Summary:        Palette quantization library
Group:          System/Libraries
License:        GPLv3+ and MIT
URL:            https://github.com/ImageOptim/libimagequant
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# Fix shared library permissions
Patch0:         libimagequant_solibperm.patch

%description
Small, portable C library for high-quality conversion of RGBA images to 8-bit
indexed-color (palette) images.

%package -n %{libname}
Summary:        Palette quantization library
Group:          System/Libraries

%description -n %{libname}
Small, portable C library for high-quality conversion of RGBA images to 8-bit
indexed-color (palette) images.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       imagequant-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

# Don't ship static library
rm -f %{buildroot}%{_libdir}/%{name}.a

%files -n %{libname}
%license COPYRIGHT
%doc README.md CHANGELOG
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/imagequant.pc


%changelog
* Sun Nov 29 2020 wally <wally> 2.13.1-1.mga8
+ Revision: 1650128
- new version 2.13.1

* Sun Nov 08 2020 wally <wally> 2.13.0-1.mga8
+ Revision: 1643660
- new version 2.13.0

* Wed Feb 19 2020 umeabot <umeabot> 2.12.6-2.mga8
+ Revision: 1543179
- Mageia 8 Mass Rebuild

* Fri Jan 17 2020 wally <wally> 2.12.6-1.mga8
+ Revision: 1481335
- new version 2.12.6
- replace deprecated %%configure2_5x

* Sat Aug 03 2019 wally <wally> 2.12.5-1.mga8
+ Revision: 1427125
- new version 2.12.5

* Mon Jul 01 2019 wally <wally> 2.12.3-1.mga8
+ Revision: 1417284
- new version 2.12.3

* Sun Nov 18 2018 wally <wally> 2.12.2-1.mga7
+ Revision: 1330930
- imported package libimagequant


* Mon Oct 29 2018 Sandro Mani <manisandro@gmail.com> - 2.12.2-1
- Update to 2.12.2

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 08 2018 Sandro Mani <manisandro@gmail.com> - 2.12.1-1
- Update to 2.12.1

* Mon Mar 12 2018 Sandro Mani <manisandro@gmail.com> - 2.11.10-1
- Update to 2.11.10

* Wed Mar 07 2018 Adam Williamson <awilliam@redhat.com> - 2.11.7-3
- Rebuild to fix GCC 8 mis-compilation
  See https://da.gd/YJVwk ("GCC 8 ABI change on x86_64")

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Sandro Mani <manisandro@gmail.com> - 2.11.7-1
- Update to 2.11.7

* Thu Jan 18 2018 Sandro Mani <manisandro@gmail.com> - 2.11.6-1
- Update to 2.11.6

* Mon Nov 27 2017 Sandro Mani <manisandro@gmail.com> - 2.11.4-1
- Update to 2.11.4

* Sat Nov 11 2017 Sandro Mani <manisandro@gmail.com> - 2.11.3-1
- Update to 2.11.3

* Sun Nov 05 2017 Sandro Mani <manisandro@gmail.com> - 2.11.2-1
- Update to 2.11.2

* Mon Oct 30 2017 Sandro Mani <manisandro@gmail.com> - 2.11.0-1
- Update to 2.11.0

* Tue Aug 08 2017 Sandro Mani <manisandro@gmail.com> - 2.10.2-1
- Update to 2.10.2

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 09 2017 Sandro Mani <manisandro@gmail.com> - 2.10.1-1
- Update to 2.10.1

* Mon Jul 03 2017 Sandro Mani <manisandro@gmail.com> - 2.10.0-1
- Update to 2.10.0

* Thu Apr 06 2017 Sandro Mani <manisandro@gmail.com> - 2.9.1-1
- Update to 2.9.1

* Sat Mar 04 2017 Sandro Mani <manisandro@gmail.com> - 2.9.0-1
- Update to 2.9.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 2.8.2-2
- Use %%name and %%url to reduce text

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 2.8.2-1
- Initial package
